RedBoot User's Guide
Prev |  | Next

# iopoke

## Name

iopoke -- Write I/O location

## Synopsis

iopoke [-b `location`] [-1 | -2 | -4] [-v `value`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-b `location` | I/O address | I/O Location. | none
-1 |  | Access a one byte (8 bit) I/O location. Only the 8 least significant bits of value will be used | -1
-2 |  | Access a two byte (16 bit) I/O location. Only the 16 least significant bits of value will be used | -1
-4 |  | Access a one word (32 bit) I/O location. | -1

## Description

Writes a value to the I/O address space.

## Examples

Write 0x0123 to 16 bit I/O location 0x200.

    RedBoot> iopoke -b 0x200 -v 0x123 -2

Prev | Home | Next
iopeek | Up | gunzip